Subject: RE: File name syntax (WAS: RE: FW: Can not config sshd)
From: Bernard Dautrevaux <[email-masked]>
To: "'Bob McGowan'" <[email-masked]>, "Parker, Ron" <[email-masked]>
Cc: Chris Faylor <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 29 May 2000 15:04:01 +0200

> -----Original Message-----
> From: Bob McGowan [mailto:[email-masked]]
> Sent: Saturday, May 27, 2000 12:28 AM
> To: Parker, Ron
> Cc: Chris Faylor; [email-masked]
> Subject: Re: File name syntax (WAS: RE: FW: Can not config sshd)
> 
> 
> 
> 
> If the decision stands to change bash, doesn't that imply a 
> need to fix
> the other shells too?
> 
> I think a single fix, in a common place for all applications, applied
> automatically (and without the application needing to know about it),
> would be preferred.  But as Chris points out, many users may 
> already be
> relying on the //name as a computer, leading to a lot of 
> editing to fix
> the problem.
> 
> Ron, you asked me about a free NFS client for windows.  At this time I
> don't know of one, but I'll see what I can find.  However, 
> this may not
> be needed.  With SAMBA available for UNIX systems, a translation of
> server:share to //server/share would transparently access the SAMBA
> server.  There are configuration issues to make this work 
> correctly but
> that is administration stuff.  I'd suggest not worrying about the NFS
> side.  What do you think?
> 
> "Parker, Ron" wrote:
> > 
> > > Bash's use of // should be fixed, IMO.  I did fix it once
> > > myself but I never
> > > forwarded the changes to the maintainer.  My bad.
> > 
> > As did I.  Would your preference be that I rework the patch 
> for it and
> > submit it to the bash maintainer?
> > 
> > Would a cygwin patch with server:share as an alternate form 
> be welcome?
> > 

My prime concern with this is that would need to also patch make to
understand that
	server:share/path: server2:share2/path2 
is a valid dependency rule (although I don't have the slightest idea of how
to do that unambiguously ;-|) ... or this would mean that we no more can use
cygwin for development...

I think I've understood that all this come from the fact that gnu tar accept
server:/path to access a tape drive on a remote system, using the "rmt"
daemon (and with nothing to do with NFS except that it use the same syntax
as the one use by "mount" to mount NFS file systems).

However there is no more places where we can use this syntax on UNIX: try to

	"ls server:/path"
and (at least with all UNIX systems I've tried this) you just get an error
:-)

So as cygwin is an UNIXonWIN32 layer, do NOT add a syntax that may broke
things and that is neither an UNIX syntax, nor a WIN32 syntax.

Just my 2 cents

		Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Send a message to [email-masked]